Lavalite package that provides blog management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `article/blog`.

    "article/blog": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Article\Blog\Providers\BlogServiceProvider::class,

And also add it to alias

    'Blog'  => Article\Blog\Facades\Blog::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Article\\BlogTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Article\Blog\Providers\BlogServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Article\Blog\Providers\BlogServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Article\Blog\Providers\BlogServiceProvider" --tag="view"


## Usage


