<?php

namespace Article\Blog\Repositories\Eloquent;

use Article\Blog\Interfaces\ArticleRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ArticleRepository extends BaseRepository implements ArticleRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('article.blog.article.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('article.blog.article.model.model');
    }
}
